<?php
namespace Controller;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response\Error;

class AF extends \Zeedhi\Framework\Controller\Simple {

	protected $AFService;

	public function __construct(\Service\AF $AFService) {
        $this->AFService = $AFService;
    }

    public function retornaAFs(Request $request, Response $response) {
        try {
        	$row = $request->getRow();
        	$afs = $this->AFService->retornaAFs($row);
			$response->addDataSet(new DataSet('AF', $afs));
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), $e->getCode()));
        }
    }
}