<?php

namespace Controller;

use Util\Utilities;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\Controller\Simple;
use Zeedhi\Framework\DataSource\DataSet;
use Service\PrivacyPolicy as PrivacyPolicyService;

class PrivacyPolicy extends Simple
{
    /** @var PrivacyPolicyService $privacyPolicyService */
    protected $privacyPolicyService;

    /**
     * PrivacyPolicy constructor.
     * @param PrivacyPolicyService $privacyPolicyService
     */
    public function __construct(PrivacyPolicyService $privacyPolicyService){
        $this->privacyPolicyService = $privacyPolicyService;
    }

    private function getValueInFilterDataSourceByName($conditions, $name){
        foreach($conditions as $condition){
            if(isset($condition['columnName']) && $condition['columnName'] == $name){
                return $condition['value'];
            }
        }
        return null;
    }

    public function findPrivacyPolicyByAuthentication(Request\Filter $request, Response $response)
    {
        try {
            $conditions = $request->getFilterCriteria()->getConditions();
            $data = $this->privacyPolicyService->findPrivacyPolicyByAuthentication();
            $response->addDataSet(new DataSet ('findPrivacyPolicyByAuthentication', $data));
        } catch(\Exception $e) {
            $response->setError(new Error($e->getMessage(), $e->getCode()));
        }
    }
}