<?php
namespace Util;

use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\Events\PostDispatch\Listener;
use Zeedhi\Framework\Log\AbstractLogger;

class LogErros extends Listener{

    /** @var AbstractLogger */
    protected $logger;
    protected $separator = '       ';

    public function __construct($logger) {
        $this->logger = $logger;
    }

    public function postDispatch(Request $request, Response $response) {
        
        $pos = strpos($request->getRoutePath(), 'save');
        $error = $response->getError();

        if ($pos && $error) {

            $message = "File Path: {requestContent} \n$this->separator Error: {responseContent}";

            $this->logger->error($message, array(
                "requestContent"  => var_export($request->getRoutePath(), true),
                "responseContent" => var_export($error, true)
            ));
        }
    }
}